contrib: nettle: require GPL or GNUv3
authorRémi Denis-Courmont <remi@remlab.net>
Mon, 25 Sep 2017 16:48:26 +0000 (19:48 +0300)
committerRémi Denis-Courmont <remi@remlab.net>
Mon, 25 Sep 2017 18:45:30 +0000 (21:45 +0300)
contrib/src/nettle/rules.mak

index 743e8b7..289718f 100644 (file)
@@ -19,7 +19,11 @@ nettle: nettle-$(NETTLE_VERSION).tar.gz .sum-nettle
 
 DEPS_nettle = gmp $(DEPS_gmp)
 
+# GMP requires either GPLv2 or LGPLv3
 .nettle: nettle
+ifndef GPL
+       $(REQUIRE_GNUV3)
+endif
        cd $< && $(HOSTVARS) ./configure $(HOSTCONF)
        cd $< && $(MAKE) install
        touch $@